# Create Approval Decision

`POST /v2/policy-approvals/{approvalId}/decisions`

Creates an approval decision (either approves or rejects)

{% hint style="info" %}

* User action signature required. See [User Action Signing](/d/api-docs/authentication/user-action-signing.md) for more information.
* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name                         | Conditions      |
| ---------------------------- | --------------- |
| `Policies:Approvals:Approve` | Always Required |

## Body <a href="#request-body" id="request-body"></a>

<table><thead><tr><th width="134">property</th><th width="181">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>value</code><mark style="color:red;">*</mark></td><td>String - Required</td><td><code>Approved</code> or <code>Denied</code></td></tr><tr><td><code>reason</code></td><td>String - Optional</td><td>Reason for decision.</td></tr></tbody></table>

```json
{
  "value": "Approved",
  "reason": "This is exactly what we need",
}
```

## Response <a href="#response" id="response"></a>

### 200 - Approval object <a href="#response-example" id="response-example"></a>

Same as the [Get Approval](/d/api-docs/policy-engine/api-reference/list-approvals.md) response


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/policy-engine/api-reference/create-approval-decision.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
